var searchData=
[
  ['s_20deque_0',['A minimal example on STXXL&apos;s deque',['../tutorial_deque.html#autotoc_md90',1,'']]],
  ['s_20matrix_1',['A minimal working example of STXXL&apos;s Matrix',['../tutorial_matrix.html#autotoc_md101',1,'']]],
  ['s_20priority_20queue_2',['A minimal working example of STXXL&apos;s priority queue',['../tutorial_pqueue.html#autotoc_md105',1,'']]],
  ['s_20queue_3',['A minimal working example of STXXL&apos;s queue',['../tutorial_queue.html#autotoc_md109',1,'']]],
  ['s_20sequence_4',['A minimal working example on STXXL&apos;s sequence',['../tutorial_sequence.html#autotoc_md115',1,'']]],
  ['s_20sorter_5',['A minimal working example of STXXL&apos;s sorter',['../tutorial_sorter.html#autotoc_md121',1,'']]],
  ['s_20stack_6',['A minimal working example of STXXL&apos;s stack',['../tutorial_stack.html#autotoc_md125',1,'']]],
  ['s_20vector_7',['A minimal working example of STXXL&apos;s vector',['../tutorial_vector.html#autotoc_md135',1,'']]],
  ['safety_8',['Thread-Safety',['../faq.html#faq_threadsafe',1,'']]],
  ['scanning_20algorithms_9',['Scanning Algorithms',['../design_stl_algo.html#autotoc_md19',1,'']]],
  ['scheduling_10',['Disk Scheduling',['../design_algo_sorting.html#design_algo_sorting_scheduling',1,'']]],
  ['semantics_11',['Expression semantics',['../design_pipeline.html#autotoc_md66',1,'']]],
  ['semaphores_12',['Semaphores',['../common_thread_sync.html#semaphore',1,'']]],
  ['sequence_13',['Sequence',['../design_sequence.html',1,'Sequence'],['../tutorial_sequence.html',1,'STXXL Sequence']]],
  ['sequence_14',['sequence',['../tutorial_sequence.html#autotoc_md115',1,'A minimal working example on STXXL&apos;s sequence'],['../tutorial_sequence.html#autotoc_md110',1,'Create a STXXL sequence']]],
  ['sequence_20is_20empty_15',['Determine size / Check whether the sequence is empty',['../tutorial_sequence.html#autotoc_md114',1,'']]],
  ['sequential_20reading_20and_20writing_20to_20vectors_16',['Efficient Sequential Reading and Writing to Vectors',['../tutorial_vector_buf.html',1,'tutorial']]],
  ['serializing_20variable_20data_20structures_20with_20binary_5fbuffer_17',['Serializing Variable Data Structures with binary_buffer',['../common_binary_buffer.html',1,'common']]],
  ['sets_18',['Algorithm Engineering for Large Data Sets',['../introduction.html#introduction_algorithm_engineering',1,'']]],
  ['shared_20objects_19',['Reference Counted (Shared) Objects',['../common_counting_ptr.html',1,'common']]],
  ['signed_20and_20unsigned_20integer_20types_20',['Signed and Unsigned Integer Types',['../common_types.html',1,'common']]],
  ['simple_20example_21',['Abstraction, Interface and a Simple Example',['../tutorial_stream.html#stream1',1,'']]],
  ['simple_20projects_20in_20local_22',['First-Time Compile and Simple Projects in local/',['../install_unix.html#install_unix_local',1,'']]],
  ['simpler_20vector_23',['A Non-growing, Non-initializing Simpler Vector',['../common_simple_vector.html',1,'common']]],
  ['size_20check_20whether_20queue_20is_20empty_24',['Determine size / Check whether queue is empty',['../tutorial_queue.html#autotoc_md108',1,'']]],
  ['size_20check_20whether_20stack_20is_20empty_25',['Determine size  / Check whether stack is empty',['../tutorial_stack.html#autotoc_md124',1,'']]],
  ['size_20check_20whether_20the_20deque_20is_20empty_26',['Determine size / Check whether the deque is empty',['../tutorial_deque.html#autotoc_md89',1,'']]],
  ['size_20check_20whether_20the_20map_20is_20empty_27',['size Check whether the map is empty',['../tutorial_map.html#autotoc_md95',1,'Determine size / Check whether the map is empty'],['../tutorial_sorter.html#autotoc_md120',1,'Determine size / Check whether the map is empty']]],
  ['size_20check_20whether_20the_20priority_20queue_20is_20empty_28',['Determine size / Check whether the priority queue is empty',['../tutorial_pqueue.html#autotoc_md104',1,'']]],
  ['size_20check_20whether_20the_20sequence_20is_20empty_29',['Determine size / Check whether the sequence is empty',['../tutorial_sequence.html#autotoc_md114',1,'']]],
  ['size_20check_20whether_20vector_20is_20empty_30',['Determine size / Check whether vector is empty',['../tutorial_vector.html#autotoc_md134',1,'']]],
  ['size_20of_20matrix_31',['Determine size of matrix',['../tutorial_matrix.html#autotoc_md99',1,'']]],
  ['sort_20with_20overlapped_20i_20os_32',['Multi-way Merge Sort with Overlapped I/Os',['../design_algo_sorting.html#design_algo_sorting_overlapping',1,'']]],
  ['sorted_20elements_33',['Access sorted elements',['../tutorial_sorter.html#autotoc_md119',1,'']]],
  ['sorted_20order_20checking_34',['Sorted Order Checking',['../design_algo_sort.html#autotoc_md30',1,'']]],
  ['sorter_35',['Sorter',['../design_sorter.html',1,'Sorter'],['../tutorial_sorter.html',1,'STXXL Sorter']]],
  ['sorter_36',['sorter',['../tutorial_sorter.html#autotoc_md121',1,'A minimal working example of STXXL&apos;s sorter'],['../tutorial_sorter.html#autotoc_md116',1,'Create a STXXL sorter']]],
  ['sorting_37',['Parallel Disk Sorting',['../design_algo_sorting.html',1,'design_stl_algo']]],
  ['sorting_20all_20elements_38',['Sorting all elements',['../tutorial_sorter.html#autotoc_md118',1,'']]],
  ['sorting_20as_20provided_20by_20the_20stream_20package_39',['Sorting As Provided by the Stream Package',['../tutorial_stream.html#stream4',1,'']]],
  ['sorting_20comparison_20based_40',['stxxl::sort &amp;ndash; Sorting Comparison-Based',['../design_algo_sort.html',1,'design_stl_algo']]],
  ['sorting_20integer_20keys_41',['stxxl::ksort &amp;ndash; Sorting Integer Keys',['../design_algo_ksort.html',1,'design_stl_algo']]],
  ['sorting_20methods_42',['Benchmark Sorting Methods',['../stxxl_tool.html#benchmark_sort',1,'']]],
  ['source_20code_43',['source code',['../install_windows.html#autotoc_md70',1,'Unpack STXXL source code'],['../install_windows_boost.html#autotoc_md75',1,'Unpack STXXL source code']]],
  ['stack_44',['Stack',['../design_stack.html',1,'Stack'],['../tutorial_stack.html',1,'STXXL Stack']]],
  ['stack_45',['stack',['../tutorial_stack.html#autotoc_md125',1,'A minimal working example of STXXL&apos;s stack'],['../tutorial_stack.html#autotoc_md122',1,'Creating a STXXL stack']]],
  ['stack_20is_20empty_46',['Determine size  / Check whether stack is empty',['../tutorial_stack.html#autotoc_md124',1,'']]],
  ['standard_20template_20library_47',['C++ Standard Template Library',['../introduction.html#introduction_stl',1,'']]],
  ['started_3a_20building_20and_20tutorial_48',['Getting Started: Building and Tutorial',['../index.html#autotoc_md79',1,'']]],
  ['state_20and_20onoff_20switch_49',['Further Primitives: State and OnOff-Switch',['../common_thread_sync.html#further',1,'']]],
  ['stl_20code_50',['STL Code',['../tutorial_vector_billing.html#autotoc_md136',1,'']]],
  ['stl_20user_20layer_51',['STL User Layer',['../group__stllayer.html',1,'STL-User Layer'],['../design_stl.html',1,'The STL-User Layer'],['../design.html#autotoc_md3',1,'The STL-User Layer']]],
  ['stream_20objects_20together_52',['Pipelining: Plugging Stream Objects Together',['../tutorial_stream.html#stream2',1,'']]],
  ['stream_20package_53',['Stream Package',['../tutorial_stream.html#stream3',1,'Miscellaneous Utilities Provided by the Stream Package'],['../tutorial_stream.html#stream4',1,'Sorting As Provided by the Stream Package'],['../group__streampack.html',1,'Stream Package'],['../tutorial_stream.html',1,'Tutorial for the Stream Package']]],
  ['streaming_20layer_54',['Streaming Layer',['../design_pipeline.html#design_pipeline_streaming',1,'']]],
  ['streams_55',['Generating Random Graphs using Streams',['../tutorial_stream_edgesort.html',1,'tutorial']]],
  ['strictweakordering_20comparison_20concept_56',['StrictWeakOrdering Comparison Concept',['../design_algo_sort.html#StrictWeakOrdering',1,'']]],
  ['structures_57',['Structures',['../faq.html#faq_nonPODs',1,'References to Elements in External Memory Data Structures'],['../install_config.html#install_config_user',1,'User-Supplied disk_config Structures']]],
  ['structures_20with_20binary_5fbuffer_58',['Serializing Variable Data Structures with binary_buffer',['../common_binary_buffer.html',1,'common']]],
  ['studio_202010_20and_20boost_59',['Compiling and Installing STXXL with Visual Studio 2010 and Boost',['../install_windows_boost.html',1,'install']]],
  ['studio_202012_20and_20newer_20without_20boost_60',['Compiling and Installing STXXL with Visual Studio 2012 and newer (without Boost)',['../install_windows.html',1,'install']]],
  ['studio_20projects_61',['Studio Projects',['../install_windows.html#autotoc_md71',1,'Use CMake to Generate Visual Studio Projects'],['../install_windows_boost.html#autotoc_md77',1,'Use CMake to Generate Visual Studio Projects']]],
  ['studio_20to_20build_20stxxl_62',['Studio to Build STXXL',['../install_windows.html#autotoc_md72',1,'Use Visual Studio to Build STXXL'],['../install_windows_boost.html#autotoc_md78',1,'Use Visual Studio to Build STXXL']]],
  ['stxxl_63',['STXXL',['../design.html',1,'Design of STXXL'],['../tutorial_vector_billing.html#autotoc_md137',1,'Going Large &amp;ndash; Use STXXL'],['../introduction.html#introduction_goals',1,'The Goals of STXXL'],['../install_windows.html#autotoc_md72',1,'Use Visual Studio to Build STXXL'],['../install_windows_boost.html#autotoc_md78',1,'Use Visual Studio to Build STXXL'],['../index.html',1,'Welcome to STXXL']]],
  ['stxxl_20algorithms_64',['STXXL Algorithms',['../design_stl_algo.html',1,'design_stl']]],
  ['stxxl_20and_20thus_20foster_20its_20development_65',['How can I credit STXXL, and thus foster its development?',['../faq.html#faq_credit',1,'']]],
  ['stxxl_20as_20a_20cmake_20subproject_66',['Including STXXL as a CMake Subproject',['../install_unix.html#install_unix_subproject',1,'']]],
  ['stxxl_20as_20a_20library_67',['Including STXXL as a Library',['../install_unix.html#install_unix_library',1,'']]],
  ['stxxl_20as_20a_20library_20inside_20a_20project_68',['Using STXXL as a Library inside a Project',['../install_windows.html#autotoc_md73',1,'']]],
  ['stxxl_20containers_69',['STXXL Containers',['../tutorial.html#autotoc_md83',1,'Available tutorials on STXXL Containers'],['../design_stl_containers.html#General',1,'Issues Concerning STXXL Containers'],['../faq.html#faq_templateparam',1,'Parameterizing STXXL Containers'],['../design_stl_containers.html',1,'STXXL Containers'],['../design_stl_containers.html#autotoc_md6',1,'STXXL Containers']]],
  ['stxxl_20deque_70',['STXXL Deque',['../tutorial_deque.html',1,'tutorial']]],
  ['stxxl_20deque_71',['Creating a STXXL deque',['../tutorial_deque.html#autotoc_md85',1,'']]],
  ['stxxl_20in_20a_20microsoft_20clr_20library_72',['STXXL in a Microsoft CLR Library',['../faq.html#faq_msclr',1,'']]],
  ['stxxl_20map_73',['STXXL Map',['../tutorial_map.html#autotoc_md96',1,'A minimal working example on STXXL Map'],['../tutorial_map.html#autotoc_md91',1,'Creating a STXXL Map']]],
  ['stxxl_20map_20b_20tree_74',['STXXL Map (B+-tree)',['../tutorial_map.html',1,'tutorial']]],
  ['stxxl_20matrix_75',['STXXL Matrix',['../tutorial_matrix.html#autotoc_md97',1,'Create a STXXL Matrix'],['../tutorial_matrix.html',1,'STXXL Matrix']]],
  ['stxxl_20on_20linux_20unix_20variants_76',['Compiling and Installing STXXL on Linux/Unix Variants',['../install_unix.html',1,'install']]],
  ['stxxl_20priority_20queue_77',['STXXL Priority Queue',['../tutorial_pqueue.html',1,'tutorial']]],
  ['stxxl_20priority_20queue_78',['Creating a STXXL priority queue',['../tutorial_pqueue.html#autotoc_md102',1,'']]],
  ['stxxl_20queue_79',['STXXL Queue',['../tutorial_queue.html',1,'tutorial']]],
  ['stxxl_20queue_80',['Creating a STXXL queue',['../tutorial_queue.html#autotoc_md106',1,'']]],
  ['stxxl_20s_20deque_81',['A minimal example on STXXL&apos;s deque',['../tutorial_deque.html#autotoc_md90',1,'']]],
  ['stxxl_20s_20matrix_82',['A minimal working example of STXXL&apos;s Matrix',['../tutorial_matrix.html#autotoc_md101',1,'']]],
  ['stxxl_20s_20priority_20queue_83',['A minimal working example of STXXL&apos;s priority queue',['../tutorial_pqueue.html#autotoc_md105',1,'']]],
  ['stxxl_20s_20queue_84',['A minimal working example of STXXL&apos;s queue',['../tutorial_queue.html#autotoc_md109',1,'']]],
  ['stxxl_20s_20sequence_85',['A minimal working example on STXXL&apos;s sequence',['../tutorial_sequence.html#autotoc_md115',1,'']]],
  ['stxxl_20s_20sorter_86',['A minimal working example of STXXL&apos;s sorter',['../tutorial_sorter.html#autotoc_md121',1,'']]],
  ['stxxl_20s_20stack_87',['A minimal working example of STXXL&apos;s stack',['../tutorial_stack.html#autotoc_md125',1,'']]],
  ['stxxl_20s_20vector_88',['A minimal working example of STXXL&apos;s vector',['../tutorial_vector.html#autotoc_md135',1,'']]],
  ['stxxl_20sequence_89',['STXXL Sequence',['../tutorial_sequence.html',1,'tutorial']]],
  ['stxxl_20sequence_90',['Create a STXXL sequence',['../tutorial_sequence.html#autotoc_md110',1,'']]],
  ['stxxl_20sorter_91',['STXXL Sorter',['../tutorial_sorter.html',1,'tutorial']]],
  ['stxxl_20sorter_92',['Create a STXXL sorter',['../tutorial_sorter.html#autotoc_md116',1,'']]],
  ['stxxl_20source_20code_93',['STXXL source code',['../install_windows.html#autotoc_md70',1,'Unpack STXXL source code'],['../install_windows_boost.html#autotoc_md75',1,'Unpack STXXL source code']]],
  ['stxxl_20stack_94',['STXXL Stack',['../tutorial_stack.html',1,'tutorial']]],
  ['stxxl_20stack_95',['Creating a STXXL stack',['../tutorial_stack.html#autotoc_md122',1,'']]],
  ['stxxl_20unordered_20map_96',['STXXL Unordered Map',['../tutorial_unordered_map.html#autotoc_md129',1,'A minimal working example on STXXL Unordered Map'],['../tutorial_unordered_map.html#autotoc_md127',1,'Creating a STXXL Unordered Map']]],
  ['stxxl_20unordered_20map_20hash_20map_97',['STXXL Unordered Map (Hash Map)',['../tutorial_unordered_map.html',1,'tutorial']]],
  ['stxxl_20vector_98',['STXXL Vector',['../tutorial_vector.html',1,'tutorial']]],
  ['stxxl_20vector_99',['Creating a STXXL vector',['../tutorial_vector.html#autotoc_md130',1,'']]],
  ['stxxl_20with_20visual_20studio_202010_20and_20boost_100',['Compiling and Installing STXXL with Visual Studio 2010 and Boost',['../install_windows_boost.html',1,'install']]],
  ['stxxl_20with_20visual_20studio_202012_20and_20newer_20without_20boost_101',['Compiling and Installing STXXL with Visual Studio 2012 and newer (without Boost)',['../install_windows.html',1,'install']]],
  ['stxxl_3a_3afind_102',['stxxl::find',['../design_algo_find.html',1,'design_stl_algo']]],
  ['stxxl_3a_3afor_5feach_103',['stxxl::for_each',['../design_algo_foreach.html',1,'design_stl_algo']]],
  ['stxxl_3a_3afor_5feach_5fm_20mutating_104',['stxxl::for_each_m (mutating)',['../design_algo_foreachm.html',1,'design_stl_algo']]],
  ['stxxl_3a_3agenerate_105',['stxxl::generate',['../design_algo_generate.html',1,'design_stl_algo']]],
  ['stxxl_3a_3agrow_5fshrink_5fstack_106',['stxxl::grow_shrink_stack',['../design_stack.html#autotoc_md10',1,'Internal Memory Consumption of stxxl::grow_shrink_stack'],['../design_stack.html#autotoc_md11',1,'Members of stxxl::grow_shrink_stack'],['../design_stack.html#design_stack_grow_shrink',1,'stxxl::grow_shrink_stack']]],
  ['stxxl_3a_3agrow_5fshrink_5fstack2_107',['stxxl::grow_shrink_stack2',['../design_stack.html#autotoc_md17',1,'Example for stxxl::grow_shrink_stack2'],['../design_stack.html#autotoc_md12',1,'Internal Memory Consumption of stxxl::grow_shrink_stack2'],['../design_stack.html#autotoc_md13',1,'Members of stxxl::grow_shrink_stack2'],['../design_stack.html#design_stack_grow_shrink2',1,'stxxl::grow_shrink_stack2']]],
  ['stxxl_3a_3aksort_20ndash_20sorting_20integer_20keys_108',['stxxl::ksort &amp;ndash; Sorting Integer Keys',['../design_algo_ksort.html',1,'design_stl_algo']]],
  ['stxxl_3a_3amigrating_5fstack_109',['stxxl::migrating_stack',['../design_stack.html#autotoc_md14',1,'Internal Memory Consumption of stxxl::migrating_stack'],['../design_stack.html#autotoc_md15',1,'Members of stxxl::migrating_stack'],['../design_stack.html#design_stack_grow_migrating',1,'stxxl::migrating_stack']]],
  ['stxxl_3a_3anormal_5fstack_110',['stxxl::normal_stack',['../design_stack.html#autotoc_md9',1,'Internal Memory Consumption of stxxl::normal_stack'],['../design_stack.html#design_stack_normal',1,'stxxl::normal_stack']]],
  ['stxxl_3a_3apriority_5fqueue_111',['Internal Memory Consumption of stxxl::priority_queue',['../design_pqueue.html#design_pqueue_memory',1,'']]],
  ['stxxl_3a_3apriority_5fqueue_5fgenerator_112',['stxxl::PRIORITY_QUEUE_GENERATOR',['../design_pqueue.html#design_pqueue_generator',1,'']]],
  ['stxxl_3a_3asort_113',['A Billing System for Phone Calls (stxxl::vector and stxxl::sort)',['../tutorial_vector_billing.html',1,'tutorial']]],
  ['stxxl_3a_3asort_20ndash_20sorting_20comparison_20based_114',['stxxl::sort &amp;ndash; Sorting Comparison-Based',['../design_algo_sort.html',1,'design_stl_algo']]],
  ['stxxl_3a_3astack_5fgenerator_115',['stxxl::STACK_GENERATOR',['../design_stack.html#design_stack_generator',1,'']]],
  ['stxxl_3a_3avector_116',['stxxl::vector',['../design_vector.html#design_vector_memory',1,'Internal Memory Consumption of stxxl::vector'],['../design_vector.html#design_vector_architecture',1,'The Architecture of stxxl::vector']]],
  ['stxxl_3a_3avector_20and_20stxxl_3a_3asort_117',['A Billing System for Phone Calls (stxxl::vector and stxxl::sort)',['../tutorial_vector_billing.html',1,'tutorial']]],
  ['stxxl_3a_3avector_5fgenerator_118',['stxxl::VECTOR_GENERATOR',['../design_vector.html#design_vector_generator',1,'']]],
  ['stxxl_5fbegin_5fnamespace_119',['STXXL_BEGIN_NAMESPACE',['../common_misc_macros.html#namespaces',1,'']]],
  ['stxxl_5fcheck_120',['Assertions in Unit Tests: STXXL_CHECK',['../common_assert.html#autotoc_md1',1,'']]],
  ['stxxl_5fmsg_121',['Logging Macros STXXL_MSG',['../common_logging.html',1,'common']]],
  ['stxxl_5fstatic_5fassert_122',['Compile-time Assertions: STXXL_STATIC_ASSERT',['../common_assert.html#autotoc_md0',1,'']]],
  ['stxxl_5ftool_20collection_123',['stxxl_tool Collection',['../stxxl_tool.html',1,'index']]],
  ['stxxl_5funused_124',['STXXL_UNUSED',['../common_misc_macros.html#unused',1,'']]],
  ['style_20guidelines_125',['Coding Style Guidelines',['../coding_style.html',1,'index']]],
  ['subproject_126',['Including STXXL as a CMake Subproject',['../install_unix.html#install_unix_subproject',1,'']]],
  ['suffixes_127',['Parsing Filesizes with K, M, G suffixes',['../common_misc_funcs.html#parse_filesize',1,'']]],
  ['supplied_20disk_5fconfig_20structures_128',['User-Supplied disk_config Structures',['../install_config.html#install_config_user',1,'']]],
  ['support_20classes_129',['Common Utilities and Support Classes',['../group__support.html',1,'']]],
  ['supported_20compilers_20and_20platforms_130',['Supported Compilers and Platforms',['../faq.html#faq_compilers',1,'']]],
  ['switch_131',['Further Primitives: State and OnOff-Switch',['../common_thread_sync.html#further',1,'']]],
  ['synchronization_20primitives_20for_20multi_20threading_132',['Synchronization Primitives for Multi-Threading',['../common_thread_sync.html',1,'common']]],
  ['system_20for_20phone_20calls_20stxxl_3a_3avector_20and_20stxxl_3a_3asort_133',['A Billing System for Phone Calls (stxxl::vector and stxxl::sort)',['../tutorial_vector_billing.html',1,'tutorial']]],
  ['system_20xfs_20or_20raw_20block_20devices_134',['Recommended: File System XFS or Raw Block Devices',['../install_config.html#install_config_filesystem',1,'']]]
];
