var searchData=
[
  ['c_20standard_20template_20library_0',['C++ Standard Template Library',['../introduction.html#introduction_stl',1,'']]],
  ['calculating_20log2_20x_20for_20integers_20and_20at_20compile_20time_1',['Calculating log2(x) for Integers and at Compile-Time',['../common_log2.html',1,'common']]],
  ['calls_20stxxl_3a_3avector_20and_20stxxl_3a_3asort_2',['A Billing System for Phone Calls (stxxl::vector and stxxl::sort)',['../tutorial_vector_billing.html',1,'tutorial']]],
  ['can_20i_20credit_20stxxl_20and_20thus_20foster_20its_20development_3',['How can I credit STXXL, and thus foster its development?',['../faq.html#faq_credit',1,'']]],
  ['changelog_4',['ChangeLog',['../changelog.html',1,'textfiles']]],
  ['check_20whether_20queue_20is_20empty_5',['Determine size / Check whether queue is empty',['../tutorial_queue.html#autotoc_md108',1,'']]],
  ['check_20whether_20stack_20is_20empty_6',['Determine size  / Check whether stack is empty',['../tutorial_stack.html#autotoc_md124',1,'']]],
  ['check_20whether_20the_20deque_20is_20empty_7',['Determine size / Check whether the deque is empty',['../tutorial_deque.html#autotoc_md89',1,'']]],
  ['check_20whether_20the_20map_20is_20empty_8',['Check whether the map is empty',['../tutorial_map.html#autotoc_md95',1,'Determine size / Check whether the map is empty'],['../tutorial_sorter.html#autotoc_md120',1,'Determine size / Check whether the map is empty']]],
  ['check_20whether_20the_20priority_20queue_20is_20empty_9',['Determine size / Check whether the priority queue is empty',['../tutorial_pqueue.html#autotoc_md104',1,'']]],
  ['check_20whether_20the_20sequence_20is_20empty_10',['Determine size / Check whether the sequence is empty',['../tutorial_sequence.html#autotoc_md114',1,'']]],
  ['check_20whether_20vector_20is_20empty_11',['Determine size / Check whether vector is empty',['../tutorial_vector.html#autotoc_md134',1,'']]],
  ['checking_12',['Sorted Order Checking',['../design_algo_sort.html#autotoc_md30',1,'']]],
  ['checking_20assertions_13',['Macros for Checking Assertions',['../common_assert.html',1,'common']]],
  ['classes_14',['Classes',['../group__support.html',1,'Common Utilities and Support Classes'],['../common_timer.html',1,'Timestamp and Timer Classes']]],
  ['clr_20library_15',['STXXL in a Microsoft CLR Library',['../faq.html#faq_msclr',1,'']]],
  ['cmake_20subproject_16',['Including STXXL as a CMake Subproject',['../install_unix.html#install_unix_subproject',1,'']]],
  ['cmake_20to_20generate_20visual_20studio_20projects_17',['CMake to Generate Visual Studio Projects',['../install_windows.html#autotoc_md71',1,'Use CMake to Generate Visual Studio Projects'],['../install_windows_boost.html#autotoc_md77',1,'Use CMake to Generate Visual Studio Projects']]],
  ['code_18',['STL Code',['../tutorial_vector_billing.html#autotoc_md136',1,'']]],
  ['code_19',['code',['../install_windows.html#autotoc_md70',1,'Unpack STXXL source code'],['../install_windows_boost.html#autotoc_md75',1,'Unpack STXXL source code']]],
  ['coding_20style_20guidelines_20',['Coding Style Guidelines',['../coding_style.html',1,'index']]],
  ['collection_21',['stxxl_tool Collection',['../stxxl_tool.html',1,'index']]],
  ['command_20line_20parser_22',['Command Line Parser',['../common_cmdline.html',1,'common']]],
  ['common_20helpers_20and_20utilities_23',['Common Helpers and Utilities',['../design.html#autotoc_md5',1,'']]],
  ['common_20utilities_20and_20helpers_24',['Common Utilities and Helpers',['../common.html',1,'index']]],
  ['common_20utilities_20and_20support_20classes_25',['Common Utilities and Support Classes',['../group__support.html',1,'']]],
  ['comparison_20based_26',['stxxl::sort &amp;ndash; Sorting Comparison-Based',['../design_algo_sort.html',1,'design_stl_algo']]],
  ['comparison_20concept_27',['StrictWeakOrdering Comparison Concept',['../design_algo_sort.html#StrictWeakOrdering',1,'']]],
  ['compilation_20and_20configuration_28',['Compilation and Configuration',['../install.html',1,'index']]],
  ['compile_20and_20simple_20projects_20in_20local_29',['First-Time Compile and Simple Projects in local/',['../install_unix.html#install_unix_local',1,'']]],
  ['compile_20time_30',['Calculating log2(x) for Integers and at Compile-Time',['../common_log2.html',1,'common']]],
  ['compile_20time_20assertions_3a_20stxxl_5fstatic_5fassert_31',['Compile-time Assertions: STXXL_STATIC_ASSERT',['../common_assert.html#autotoc_md0',1,'']]],
  ['compilers_20and_20platforms_32',['Supported Compilers and Platforms',['../faq.html#faq_compilers',1,'']]],
  ['compiling_20and_20installing_20stxxl_20on_20linux_20unix_20variants_33',['Compiling and Installing STXXL on Linux/Unix Variants',['../install_unix.html',1,'install']]],
  ['compiling_20and_20installing_20stxxl_20with_20visual_20studio_202010_20and_20boost_34',['Compiling and Installing STXXL with Visual Studio 2010 and Boost',['../install_windows_boost.html',1,'install']]],
  ['compiling_20and_20installing_20stxxl_20with_20visual_20studio_202012_20and_20newer_20without_20boost_35',['Compiling and Installing STXXL with Visual Studio 2012 and newer (without Boost)',['../install_windows.html',1,'install']]],
  ['complexity_36',['Complexity',['../design_algo_sort.html#autotoc_md26',1,'Complexity'],['../design_algo_ksort.html#autotoc_md36',1,'Complexity'],['../design_algo_generate.html#autotoc_md44',1,'Complexity'],['../design_algo_foreach.html#autotoc_md50',1,'Complexity'],['../design_algo_foreachm.html#autotoc_md56',1,'Complexity'],['../design_algo_find.html#autotoc_md62',1,'Complexity']]],
  ['concept_37',['Concept',['../design_algo_ksort.html#design_algo_ksort_key_extractor',1,'Key Extractor Concept'],['../design_algo_sort.html#StrictWeakOrdering',1,'StrictWeakOrdering Comparison Concept']]],
  ['concerning_20stxxl_20containers_38',['Issues Concerning STXXL Containers',['../design_stl_containers.html#General',1,'']]],
  ['configuration_39',['Configuration',['../install.html',1,'Compilation and Configuration'],['../install_build_options.html',1,'Options for Build Configuration']]],
  ['configuration_20file_40',['Create a Disk Configuration File',['../install_unix.html#autotoc_md67',1,'']]],
  ['configuration_20file_20format_41',['Disk Configuration File Format',['../install_config.html#install_config_format',1,'']]],
  ['configuration_20files_42',['Disk Configuration Files',['../install_config.html',1,'install']]],
  ['consumption_43',['Consumption',['../design_algo_sort.html#autotoc_md28',1,'External Memory Consumption'],['../design_algo_ksort.html#autotoc_md38',1,'External Memory Consumption'],['../design_algo_sort.html#autotoc_md27',1,'Internal Memory Consumption'],['../design_algo_ksort.html#autotoc_md37',1,'Internal Memory Consumption']]],
  ['consumption_20of_20stxxl_3a_3agrow_5fshrink_5fstack_44',['Internal Memory Consumption of stxxl::grow_shrink_stack',['../design_stack.html#autotoc_md10',1,'']]],
  ['consumption_20of_20stxxl_3a_3agrow_5fshrink_5fstack2_45',['Internal Memory Consumption of stxxl::grow_shrink_stack2',['../design_stack.html#autotoc_md12',1,'']]],
  ['consumption_20of_20stxxl_3a_3amigrating_5fstack_46',['Internal Memory Consumption of stxxl::migrating_stack',['../design_stack.html#autotoc_md14',1,'']]],
  ['consumption_20of_20stxxl_3a_3anormal_5fstack_47',['Internal Memory Consumption of stxxl::normal_stack',['../design_stack.html#autotoc_md9',1,'']]],
  ['consumption_20of_20stxxl_3a_3apriority_5fqueue_48',['Internal Memory Consumption of stxxl::priority_queue',['../design_pqueue.html#design_pqueue_memory',1,'']]],
  ['consumption_20of_20stxxl_3a_3avector_49',['Internal Memory Consumption of stxxl::vector',['../design_vector.html#design_vector_memory',1,'']]],
  ['containers_50',['Containers',['../tutorial.html#autotoc_md83',1,'Available tutorials on STXXL Containers'],['../design_stl_containers.html#General',1,'Issues Concerning STXXL Containers'],['../faq.html#faq_templateparam',1,'Parameterizing STXXL Containers'],['../design_stl_containers.html',1,'STXXL Containers'],['../design_stl_containers.html#autotoc_md6',1,'STXXL Containers']]],
  ['counted_20shared_20objects_51',['Reference Counted (Shared) Objects',['../common_counting_ptr.html',1,'common']]],
  ['counter_52',['I/O Performance Counter',['../common_io_counter.html',1,'common']]],
  ['create_20a_20disk_20configuration_20file_53',['Create a Disk Configuration File',['../install_unix.html#autotoc_md67',1,'']]],
  ['create_20a_20stxxl_20matrix_54',['Create a STXXL Matrix',['../tutorial_matrix.html#autotoc_md97',1,'']]],
  ['create_20a_20stxxl_20sequence_55',['Create a STXXL sequence',['../tutorial_sequence.html#autotoc_md110',1,'']]],
  ['create_20a_20stxxl_20sorter_56',['Create a STXXL sorter',['../tutorial_sorter.html#autotoc_md116',1,'']]],
  ['creating_20a_20stxxl_20deque_57',['Creating a STXXL deque',['../tutorial_deque.html#autotoc_md85',1,'']]],
  ['creating_20a_20stxxl_20map_58',['Creating a STXXL Map',['../tutorial_map.html#autotoc_md91',1,'']]],
  ['creating_20a_20stxxl_20priority_20queue_59',['Creating a STXXL priority queue',['../tutorial_pqueue.html#autotoc_md102',1,'']]],
  ['creating_20a_20stxxl_20queue_60',['Creating a STXXL queue',['../tutorial_queue.html#autotoc_md106',1,'']]],
  ['creating_20a_20stxxl_20stack_61',['Creating a STXXL stack',['../tutorial_stack.html#autotoc_md122',1,'']]],
  ['creating_20a_20stxxl_20unordered_20map_62',['Creating a STXXL Unordered Map',['../tutorial_unordered_map.html#autotoc_md127',1,'']]],
  ['creating_20a_20stxxl_20vector_63',['Creating a STXXL vector',['../tutorial_vector.html#autotoc_md130',1,'']]],
  ['credit_20stxxl_20and_20thus_20foster_20its_20development_64',['How can I credit STXXL, and thus foster its development?',['../faq.html#faq_credit',1,'']]]
];
